Package org.springframework.web.servlet.mvc.method

# Class RequestMappingInfoHandlerMethodMappingNamingStrategy

java.lang.Object
org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMethodMappingNamingStrategy

All Implemented Interfaces:
  `HandlerMethodMappingNamingStrategy<RequestMappingInfo>`

public class RequestMappingInfoHandlerMethodMappingNamingStrategy extends Object implements HandlerMethodMappingNamingStrategy<RequestMappingInfo>
A `HandlerMethodMappingNamingStrategy` for `RequestMappingInfo`-based handler method mappings. If the `RequestMappingInfo` name attribute is set, its value is used. Otherwise the name is based on the capital letters of the class name, followed by "#" as a separator, and the method name. For example "TC#getFoo" for a class named TestController with method getFoo.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SEPARATOR`
Separator between the type and method-level parts of a HandlerMethod mapping name.

## Constructor Summary

Constructors
Constructor
Description
`RequestMappingInfoHandlerMethodMappingNamingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName(org.springframework.web.method.HandlerMethod handlerMethod, RequestMappingInfo mapping)`
Determine the name for the given HandlerMethod and mapping.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEPARATOR

public static final String SEPARATOR
Separator between the type and method-level parts of a HandlerMethod mapping name.

See Also:
  - Constant Field Values

## Constructor Details

### RequestMappingInfoHandlerMethodMappingNamingStrategy

public RequestMappingInfoHandlerMethodMappingNamingStrategy()

## Method Details

### getName

public String getName(org.springframework.web.method.HandlerMethod handlerMethod, RequestMappingInfo mapping)
Description copied from interface: `HandlerMethodMappingNamingStrategy`
Determine the name for the given HandlerMethod and mapping.

Specified by:
  `getName` in interface `HandlerMethodMappingNamingStrategy<RequestMappingInfo>`
Parameters:
  `handlerMethod` - the handler method
  `mapping` - the mapping
Returns:
  the name